Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.resource.spi
Class ManagedConnectionImpl

    java.lang.Object
      net.sf.dropboxmq.resource.spi.ManagedConnectionImpl

All Implemented Interfaces:
  ManagedConnection

    public class ManagedConnectionImpl

extends Object
implements ManagedConnection

Created: 18 Oct 2006

Version:
  $Revision: 226 $, $Date: 2011-03-05 20:51:47 -0700 (Sat, 05 Mar 2011) $
Author:
  Dwayne Schultz

Constructor Summary
`ManagedConnectionImpl(AbstractManagedConnectionFactory managedConnectionFactory, ConnectionRequestInfo connectionRequestInfo)`

Method Summary
`void` | `addConnectionEventListener(ConnectionEventListener connectionEventListener)`
`void` | `associateConnection(Object connectionParam)`
`void` | `cleanup()`
`void` | `closeConnection(ConnectionImpl connection)`
`void` | `destroy()`
`Object` | `getConnection(Subject subject, ConnectionRequestInfo connectionRequestInfo)`
`DropboxTransaction` | `getDropboxTransaction()`
`LocalTransaction` | `getLocalTransaction()`
`PrintWriter` | `getLogWriter()`
`ManagedConnectionMetaData` | `getMetaData()`
`XAResource` | `getXAResource()`
`void` | `removeConnectionEventListener(ConnectionEventListener connectionEventListener)`
`void` | `sendConnectionEvent(ConnectionImpl connection, int eid)`
`void` | `setLogWriter(PrintWriter out)`
`protected String` | `toObjectString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedConnectionImpl

    public ManagedConnectionImpl(AbstractManagedConnectionFactory managedConnectionFactory,
                                 ConnectionRequestInfo connectionRequestInfo)
                          throws ResourceException

Throws:
  `ResourceException`

Method Detail

### getConnection

    public Object getConnection(Subject subject,
                                ConnectionRequestInfo connectionRequestInfo)
                         throws ResourceException

  Specified by:
    `getConnection` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### destroy

    public void destroy()
                 throws ResourceException

  Specified by:
    `destroy` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### cleanup

    public void cleanup()
                 throws ResourceException

  Specified by:
    `cleanup` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### associateConnection

    public void associateConnection(Object connectionParam)
                             throws ResourceException

  Specified by:
    `associateConnection` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### addConnectionEventListener

    public void addConnectionEventListener(ConnectionEventListener connectionEventListener)

  Specified by:
    `addConnectionEventListener` in interface `ManagedConnection`

### removeConnectionEventListener

    public void removeConnectionEventListener(ConnectionEventListener connectionEventListener)

  Specified by:
    `removeConnectionEventListener` in interface `ManagedConnection`

### getXAResource

    public XAResource getXAResource()
                             throws ResourceException

  Specified by:
    `getXAResource` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### getLocalTransaction

    public LocalTransaction getLocalTransaction()
                                         throws ResourceException

  Specified by:
    `getLocalTransaction` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### getMetaData

    public ManagedConnectionMetaData getMetaData()
                                          throws ResourceException

  Specified by:
    `getMetaData` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws ResourceException

  Specified by:
    `setLogWriter` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws ResourceException

  Specified by:
    `getLogWriter` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### getDropboxTransaction

    public DropboxTransaction getDropboxTransaction()

### closeConnection

    public void closeConnection(ConnectionImpl connection)
                         throws JMSException

  Throws:
    `JMSException`

### sendConnectionEvent

    public void sendConnectionEvent(ConnectionImpl connection,
                                    int eid)

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD